<?php
/**
 * syscfg_lang.php - DESCRIPTION
 *
 * @author $Author: dtong $
 * @version $Id: syscfg_lang.php,v 1.23 2011/08/10 09:17:10 dtong Exp $
 * @copyright Copyright (c) 2011, Tiller Software Co., Ltd.
*/
//$lang['syscfg_title'] = 'System Configuration Management';
$lang['syscfg_title_name'] = 'Name';
$lang['syscfg_title_desc'] = 'Description';
$lang['syscfg_title_value'] = 'Setting';
$lang['syscfg_boolean_true'] = 'Yes';
$lang['syscfg_boolean_false'] = 'No';
$lang['syscfg_inputwin_title'] = 'System Configuration';
$lang['syscfg_link_modify'] = 'MODIFY';
$lang['syscfg_input_title'] = 'Configuration Modification';
$lang['syscfg_input_new_value'] = 'New Value';
$lang['syscfg_input_cancel_button'] = 'Cancel';
$lang['syscfg_input_save_button'] = 'Save';
$lang['syscfg_update_invalid_param'] = 'Invalid Parameters';
$lang['syscfg_update_invalid_numeric'] = 'Invalid numeric value, update aborted';
$lang['syscfg_update_invalid_integer'] = 'Invalid integer value, update aborted';
$lang['syscfg_input_setdefault_button'] = 'Use System Default';
$lang['syscfg_update_exceed_value_limit'] = 'Sorry, text input is limited to 5000 characters.<br /><br />Please shorten your input and try again.';

//For system configurations
$lang['syscfg_cms_max_uploadsize_name'] = 'Maximum upload size (MB)';
$lang['syscfg_cms_max_uploadsize_desc'] = 'This is the application setting for upload size. You will need to change your php.ini settings also. ' .
	'<font color="red">Current php.ini maximum upload size is ' . osa_filesizestr(osa_maximum_uploadsize(), 0) . '</font>';
$lang['syscfg_cfg_general_title'] = 'General System Configuration';
$lang['syscfg_cfg_site_title'] = 'Site Appearance<br /><span style="font-size:11px;font-weight:normal">(Please refresh your browser after modification)</span>';
$lang['syscfg_cms_login_title_name'] = 'Login page title';
$lang['syscfg_cms_login_title_desc'] = 'The site title on the login page.';
$lang['syscfg_cms_site_title_name'] = 'Browser window/tab title';
$lang['syscfg_cms_site_title_desc'] = 'Title located on the browser tab or on the top left corner of the browser.';
$lang['syscfg_cms_body_logo_text_name'] = 'Body title';
$lang['syscfg_cms_body_logo_text_desc'] = 'Title located on the default body page.';
$lang['syscfg_cms_body_logo_text_color_name'] = 'Body title color';
$lang['syscfg_cms_body_logo_text_color_desc'] = 'Text color for the body title.';
$lang['syscfg_cms_header_image_bkcolor_name'] = 'Header image background color';
$lang['syscfg_cms_header_image_bkcolor_desc'] = 'Background color around the top logo image.';
$lang['syscfg_cms_header_image_left_align_name'] = 'Left align header logo';
$lang['syscfg_cms_header_image_left_align_desc'] = 'Align the header logo to the left. Center aligned if set to no.';
$lang['syscfg_unit_config_title'] = 'Unit Configuration';
$lang['syscfg_cms_single_unit_editor_name'] = 'Enable multi-editor support';
$lang['syscfg_cms_single_unit_editor_desc'] =
	'Multi-editor support allows you to assign multiple editors to one single course. ' .
	'This affects the "Add/Change Editor" feature in the Course Description edit page (use "Turn editing on" button).';
$lang['syscfg_cms_no_multi_course_lt_name'] = 'Enable cross-course Learning Target';
$lang['syscfg_cms_no_multi_course_lt_desc'] =
	'The Cross-course Learning Target feature allows you to pull learning targets from other courses into your units. ' .
	'You can select the courses to add from the Learning Targets page and then you can use the learning targets from the selected course in your unit pages.';
$lang['syscfg_cms_max_perpage_name'] = 'Maximum mapping items';
$lang['syscfg_cms_max_perpage_desc'] = 'The maximum number of items show per page for the mapping searching results.';
$lang['syscfg_cms_max_showpage_name'] = 'Mapping paging links';
$lang['syscfg_cms_max_showpage_desc'] = 'The number of available paging links for the left and the right of the current mapping result page.';
$lang['syscfg_cms_lt_importid_support_name'] = 'Enable list numbering';
$lang['syscfg_cms_lt_importid_support_desc'] =
	'Enable list numbering for strands, standards and benchmarks. ' .
	'This allows you to add a number such as 1.1.1 to the data. The data will be sorted by this number instead of by name.';
$lang['syscfg_cms_use_all_unit_types_name'] = 'Enable all unit types';
$lang['syscfg_cms_use_all_unit_types_desc'] =
	'The unit types are integrated, shared and meta. This setting when set to "Yes" will override the individual unit types setting. ' .
	'Set it to "No" to allow control of each individual type setting from below.';
$lang['syscfg_cms_use_unit_unified_name'] = 'Enable shared unit';
$lang['syscfg_cms_use_unit_unified_desc'] =
	'Enable shared unit feature. This allows you to share a single copy of a unit to multiple courses. ' .
	'You can only edit the master copy from where the unit was created.';
$lang['syscfg_cms_use_unit_integrated_name'] = 'Enable integrated unit';
$lang['syscfg_cms_use_unit_integrated_desc'] =
	'Enable integrated unit feature (UbD only). This allows you to share stage one among a selected set of units. ' .
	'Each unit has its own stage two, three etc.';
$lang['syscfg_cms_use_unit_meta_name'] = 'Enable meta unit';
$lang['syscfg_cms_use_unit_meta_desc'] = 'Enable meta unit feature (UbD only). Meta units contain stage one only.';
$lang['syscfg_cms_unit_copyunit_name'] = 'Enable unit copy';
$lang['syscfg_cms_unit_copyunit_desc'] =
	'Enable unit copy feature. When enabled it allows course editors to copy units from all published units.';
$lang['syscfg_cms_notuse_hide_unit_feature_name'] = 'Enable hide unit';
$lang['syscfg_cms_notuse_hide_unit_feature_desc'] =
	'Enable hide unit feature. This adds a button to each unit page so you can hide a published unit from other users.';
$lang['syscfg_cms_unitlock_hour_expire_name'] = 'Unit lock timeout (hours)';
$lang['syscfg_cms_unitlock_hour_expire_desc'] =
	'The number of hours without activities a unit will be unlocked for other editors. ' .
	'When an editor edits an unit, the unit will be locked exclusively for this editor. ' .
	'Other editors can\'t edit the same unit while it is locked. ' .
	'The lock can be released by the editor or until it reaches this number of hours without any editing activities.';
$lang['syscfg_cms_unitcompare_multi_scroll_name'] = 'Multi-compare-window scrolling';
$lang['syscfg_cms_unitcompare_multi_scroll_desc'] =
	'This allows you to scroll the 2 compare windows for the unit compare feature at the same time. ' .
	'If set to "No" then the scrolling of the 2 compare windows are not in sync.';
$lang['syscfg_cms_max_multi_url_name'] = 'Number of URL inputs';
$lang['syscfg_cms_max_multi_url_desc'] =
	'The number of URL inputs on the upload pop-up windows. You can add any number of URLs regardless of this setting. ' .
	'This setting only limits how many you can enter each time.';
$lang['syscfg_cms_show_allgrades_name'] = 'Show all grades';
$lang['syscfg_cms_show_allgrades_desc'] =
	'This causes the course description page (in edit mode) to always show the grade levels based on the ' .
	'minimum and maximum grade levels assigned to the course. This overrides the grade level(s) admin assigns to each course.';
$lang['syscfg_cms_ldap_server_name'] = 'LDAP Server';
$lang['syscfg_cms_ldap_server_desc'] = 'LDAP Server host name or IP address';
$lang['syscfg_cms_ldap_serach_userattr_name'] = 'User search attribute';
$lang['syscfg_cms_ldap_serach_userattr_desc'] = 'LDAP user search attribute. This is always "samaccountname" for Windows Active Directory.';
$lang['syscfg_cms_ldap_serach_dn_name'] = 'Search DN';
$lang['syscfg_cms_ldap_serach_dn_desc'] =
	'LDAP search Distinguish Name. This tells where to start from the LDAP tree. ' .
	'It would look something like "dc=todcm,dc=org".';
$lang['syscfg_cms_ldap_bind_userdn_name'] = 'LDAP user account DN';
$lang['syscfg_cms_ldap_bind_userdn_desc'] =
	'A valid LDAP user account Distinguish Name. This would look something like "cn=todcmlogin,cn=users,dc=todcm,dc=org".';
$lang['syscfg_cms_ldap_bind_password_name'] = 'LDAP password';
$lang['syscfg_cms_ldap_bind_password_desc'] = 'This is the password for the user account DN above.';
$lang['syscfg_cms_not_show_hide_course_button_name'] = 'Enable hide course button';
$lang['syscfg_cms_not_show_hide_course_button_desc'] =
	'This hide course feature is located on the course description page and allows an editor to hide a course from users.';
$lang['syscfg_maintenance_mode_title'] = 'System Maintenance and Login Security';
$lang['syscfg_cms_manage_mode_name'] = 'Enable maintenance mode';
$lang['syscfg_cms_manage_mode_desc'] =
	'This will logout all active users by destroying all active user sessions and stop non-admin users to login to the site. ' .
	'<font color="red">Warning, this can cause currently active users to loss their editing data.</font>';
$lang['syscfg_cms_not_show_gradetree_button_name'] = 'Enable List by Grades button';
$lang['syscfg_cms_not_show_gradetree_button_desc'] = 'This is the "List by Grades" button loctaed under the left menu tree.';
$lang['syscfg_cms_menutree_use_category_name'] = 'Enable category in menu tree';
$lang['syscfg_cms_menutree_use_category_desc'] =
	'This will add another layer above the department layer in the left menu tree. ' .
	'You can group different departments and grade levels in the categories. The categories can be added using the category admin funtion';
$lang['syscfg_cms_category_not_show_empty_departments_name'] = 'Show all departments in categories with no assigned departments';
$lang['syscfg_cms_category_not_show_empty_departments_desc'] =
	'If this is set to "Yes" then all departments will be shown under each empty category. ' .
	'If this is set to "No" then categories with no assigned departments will be shown as an empty tree. ' .
	'This option has no effect on categories do contain departments.';
$lang['syscfg_cms_header_message_name'] = 'Header message';
$lang['syscfg_cms_header_message_desc'] = 'Header message shown right below header logo image after successful login.';
$lang['syscfg_cms_loginheader_message_name'] = 'Login header message';
$lang['syscfg_cms_loginheader_message_desc'] =
	'Header message shown right below header logo image for the first login page only. ' .
	'Please logout or use a different browser to see the login page after modification.';
$lang['syscfg_cms_multiple_grade_display_name'] = 'Enable multiple display grades per course';
$lang['syscfg_cms_multiple_grade_display_desc'] = 'This allows the course editors to assign multiple grade levels in the course description page. ' .
	'The "List by Grades" feature in the left menu tree depends on the display grade levels assigned from the course description page.';
$lang['syscfg_cms_header_image_name'] = 'Header logo image';
$lang['syscfg_cms_header_image_desc'] = 'Header logo image. This is the file path under the images folder.';
$lang['syscfg_cms_body_image_name'] = 'Body image';
$lang['syscfg_cms_body_image_desc'] = 'Body image, the one with the big picture puzzle. This is the file path under the images folder.';
$lang['syscfg_cms_failed_login_lockout_check_name'] = 'Enable account lockout';
$lang['syscfg_cms_failed_login_lockout_check_desc'] =
	'If the number of failed login attempts on an account is more than the maximum value defined then ' .
	'the account is locked for a time period defined in "Account Lockout period". ' .
	'In the case you need to unlock locked accounts then disable this option and ' .
	'then enable this option again, this will unlock all locked accounts. Disabling this option will enable the login confirmation code option.';
$lang['syscfg_cms_login_use_captcha_name'] = 'Enable login confirmation code (CAPTCHA)';
$lang['syscfg_cms_login_use_captcha_desc'] =
	'This is same as the account lockout option, but instead of locking out the account, the user will be presented with an image containing an alphanumeric string, ' .
	'and the user has to type in the correct alphanumeric string before logging in. Disabling this option will enable the account lockout option.';
$lang['syscfg_cms_failed_lockout_count_name'] = 'Maximum failed login attempts';
$lang['syscfg_cms_failed_lockout_count_desc'] =
	'The maximum number of failed login attempts before either the account gets locked out or the systems starts to ask for confirmation code. ' .
	'The minimum value allowed is 3.';
$lang['syscfg_cms_lockout_period_name'] = 'Account Lockout period';
$lang['syscfg_cms_lockout_period_desc'] = 'The time period in minutes for how long to lockout an account or when to ask for confirmation code. The minimum value allowed is 5 minutes.';
$lang['syscfg_cfg_ldap_title'] = 'LDAP Authentication Configuration';
$lang['syscfg_cms_guest_open_access_name'] = 'Enable public guest access';
$lang['syscfg_cms_guest_open_access_desc'] = 'This option adds a link on the login page to allow anyone to access the site as the guest user. ' .
	'A password is not required of this guest access. A guest user can read course descriptions and all published units. ' .
	'If you assign a password to the system guest user then you should disable this option to disallow public guest access.';
$lang['syscfg_cms_survey_nologin_name'] = 'Enable survey No-login option';
$lang['syscfg_cms_survey_nologin_desc'] =
	'This option allows teachers to create a survey that does not require login authentication, an optional access code can be assigned to each no-login survey. ' .
	'This is necessary if students don\'t have a LDAP account. If you want all surveys to require LDAP login then disable this option. ' .
	'Disabling this option will automatically enable the "LDAP login" option.';

$lang['syscfg_cms_survey_uselogin_name'] = 'Enable survey LDAP login option';
$lang['syscfg_cms_survey_uselogin_desc'] =
	'This options allows teachers to create a survey that requires LDAP login. ' .
	'The student LDAP login uses the same LDAP settings from "LDAP Authentication Configuration" below. ' .
	'You should disable this option if students don\'t have a LDAP account. ' .
	'If both "LDAP login" and "No-login" options are enabled then teachers have to choose one during survey creation time. ' .
	'Disabling this option will automatically enable the "No-login" option.';
$lang['syscfg_cms_guest_ldap_access_name'] = 'Enable student and/or parent LDAP guest access';
$lang['syscfg_cms_guest_ldap_access_desc'] = 'This allows students and parents with LDAP account to log into this site as guest. ' .
	'This uses the same LDAP settings from the "LDAP Authentication Configuration". ' .
	'It is suggested to disable the public guest access if this option is enabled.';
