<?php
/**
 * pureobject.php
 *
 * CI libraries to load pure php objects. CI libraries are singletons so we need a better
 * way to manage pure php classes. This acts as the gateway/factory to all pure PHP classes in TODCM.
 * This can load an object or include the class file for loading objects
 * saved in session.
 *
 * @author $Author: dtong $
 * @version $Id: Pureobject.php,v 1.2 2011/08/08 09:58:30 dtong Exp $
 * @copyright Copyright (c) 2011, Tiller Software Co., Ltd.
*/

class Pureobject {

	function get($classpath) {
		if ( !$this->include_class($classpath) ) {
			return FALSE;
		}
		$classname = basename($classpath);
		return new $classname;
	}

	function include_class($classpath) {
		return include_once($classpath . '.php');
	}

}