<?php
/**
 * admin_lang.php - Language file for the admin features.
 *
 * @author $Author: dtong $
 * @version $Id: admin_lang.php,v 1.62.4.2 2011/08/25 11:29:07 dtong Exp $
 * @copyright Copyright (c) 2009, Tiller Software Co., Ltd.
*/

//admin_menu
$lang['admin_menu_management']  			= 'Management';
$lang['admin_menu_user'] 					= 'User';
$lang['admin_menu_course'] 					= 'Course';
$lang['admin_menu_department'] 				= 'Department';
$lang['admin_menu_strand'] 					= 'Strand';
$lang['admin_menu_standard'] 				= 'Standard';
$lang['admin_menu_benchmark'] 				= 'Benchmark';
$lang['admin_menu_eq'] 						= 'Essential Question';
$lang['admin_menu_sublect'] 				= 'Department';
$lang['admin_menu_last'] 					= 'LAST';
$lang['admin_menu_title_basic'] 			= 'System Management';
$lang['admin_menu_title_application'] = 'Application Management';
$lang['admin_menu_title_itstandards'] 		= 'IT Standards Management';
$lang['admin_menu_title_learning'] 			= 'LT Management';
$lang['admin_menu_title_eq'] 			    = 'EQ Management';
$lang['admin_menu_title_sub'] 			    = 'Department Management';
$lang['admin_menu_title_tail'] = 'TaIL Management';
$lang['admin_menu_title_gc'] = 'GC Management';
$lang['admin_menu_config'] = 'Config';
$lang['admin_menu_dbupgrade'] = 'DB Upgrade';
$lang['admin_menu_category'] = 'Category';
$lang['admin_menu_grade'] = 'Grade';
$lang['admin_menu_school'] = 'School';
$lang['admin_menu_type_lt_subtext'] = 'LT';
$lang['admin_menu_strand_management'] = 'Strand Management';
$lang['admin_menu_standard_management'] = 'Standard Management';
$lang['admin_menu_benchmark_management'] = 'Benchmark Management';
$lang['admin_menu_evaluation_management'] = 'Evaluation Management';

//admin_list
$lang['admin_list_listitem']				= 'Filter: ';
$lang['admin_search_department']					= 'Department: ';
$lang['admin_search_school']						= 'School: ';
$lang['admin_list_all']				        = 'Show all';
$lang['admin_list_enabled']		            = 'Active accounts only';
$lang['admin_list_disabled']		        = 'Disabled accounts only';
$lang['admin_list_count']		            = 'record(s) found';
$lang['admin_list_convert_enabled']		    = 'Yes';
$lang['admin_list_convert_disabled']		= 'No';
$lang['admin_list_title_search']		    = 'search: ';
$lang['admin_list_button_search']		    = 'Search';
$lang['admin_list_title_add']    			= 'Add';
$lang['admin_list_title_enable']    		= 'Enable';
$lang['admin_list_title_disable']    		= 'Disable';
$lang['admin_list_title_edit']    			= 'Edit';


//admin_user
$lang['admin_user_title'] = 'User Management';
$lang['admin_user_profile']         		= 'Profile Management';
$lang['admin_user_loginas']         		= 'Loginas';
$lang['admin_user_add_head']    			= 'Add a New User';
$lang['admin_user_add_title']         		= 'Add User';
$lang['admin_user_edit_title']         		= 'Edit User';
$lang['admin_user_edit_profile']         	= 'Edit Profile';
$lang['admin_user_display_name'] 			= 'Name';
$lang['admin_user_display_username']   		= 'Username';
$lang['admin_user_display_courses']  = 'Assigned Courses';
$lang['admin_user_display_access']     		= 'Access';
$lang['admin_user_display_auth']      		= 'Auth';
$lang['admin_user_display_enabled']    		= 'Active';
$lang['admin_user_display_lastlogin'] = 'Last<br />Login';
$lang['admin_user_display_lastfailedlogin'] = 'Last Failed<br />Login';
$lang['admin_user_col_id']         			= 'Id';
$lang['admin_user_col_firstname']  			= 'First Name';
$lang['admin_user_col_lastname']   			= 'Last Name';
$lang['admin_user_col_middlename'] 			= 'Middle Name';
$lang['admin_user_col_displayname'] 		= 'Display Name';
$lang['admin_user_col_name'] 			    = 'Name';
$lang['admin_user_col_teacher_number']  	= 'Teacher Number';
$lang['admin_user_col_username']   			= 'Username';
$lang['admin_user_col_password']   			= 'Password';
$lang['admin_user_col_confirmpass']   	    = 'Confirm Password';
$lang['admin_user_col_email']      			= 'Email';
$lang['admin_user_col_title']      			= 'Job Title';
$lang['admin_user_col_department'] 			= 'Department';
$lang['admin_user_col_access']     			= 'User Access Level';
$lang['admin_user_col_auth']      			= 'Authentication';
$lang['admin_user_col_enabled']    			= 'Account Enabled';
$lang['admin_user_col_hide_unit_admin_note'] = 'Show "Admin Notes" Section';
$lang['admin_user_col_hide_unit_admin_note_yes'] = 'Yes';
$lang['admin_user_col_hide_unit_admin_note_no'] = 'No';
$lang['admin_user_error_duplicate']  		= 'Sorry, username already exist.<br /><br />Please use a different name.';
$lang['admin_user_error_access']  			= 'Please select a user access level.';
$lang['admin_user_error_auth']  			= 'Please select an authentication method.';
$lang['admin_user_message_enable'] = 'Are you sure to enable this user account?';
$lang['admin_user_message_disable'] = 'Are you sure to disable this user account?\n\n' .
	'If an account is disabled then the user will no longer able to login to this system.\n' .
	'You can always enable a disabled account in a later time.';
$lang['admin_user_btn_loginas']    			= 'Login as';
$lang['admin_user_link_title']    			= 'Edit this user account';
$lang['admin_user_search']		    = 'Search users by name:';
$lang['admin_user_title_add']    			= 'Add a new user account';
$lang['admin_user_title_enable']    		= 'Enable this user account';
$lang['admin_user_title_disable']    		= 'Disable this user account';
$lang['admin_user_title_edit']    			= 'Edit this user account';
$lang['admin_user_all']				        = 'Show all';
$lang['admin_user_enabled']		            = 'Active accounts only';
$lang['admin_user_disabled']		        = 'Disabled accounts only';
$lang['admin_access_ddldefualt']		    = 'Please Select';
$lang['admin_auth_ddldefualt']		    	= 'Please Select';
$lang['admin_user_no_permission'] = 'You don\'t have permission to perform this action.';

//admin_course
$lang['admin_course_title']         		= 'Course Management';
$lang['admin_course_add_head']    			= 'Add a New Course';
$lang['admin_course_add_title']         	= 'Add Course';
$lang['admin_course_edit_title']         	= 'Edit Course';
$lang['admin_course_usercourse']         	= 'Users >> Course';
$lang['admin_course_coursegrade']         	= 'Grades >> Course';
$lang['admin_course_display_name']       	= 'Course';
$lang['admin_course_display_department'] 	= 'Department';
$lang['admin_course_display_teachers'] = 'Assigned Teachers';
$lang['admin_course_display_mingrade']     	= 'Min.<br />Grade';
$lang['admin_course_display_maxgrad']      	= 'Max.<br />Grade';
$lang['admin_course_display_enabled']    	= 'Enabled';
$lang['admin_course_col_id']         		= 'Id';
$lang['admin_course_col_tree_sort']       = 'Menu Tree Sort Order';
$lang['admin_course_col_course_dbid']       = 'SIS DB ID';
$lang['admin_course_col_course_number']     = 'Course Number';
$lang['admin_course_col_name']       		= 'Course Name';
$lang['admin_course_col_shortname']  		= 'Course Short Name';
$lang['admin_course_col_department'] 		= 'Department';
$lang['admin_course_col_mingrade']     		= 'Min. Grade Level';
$lang['admin_course_col_maxgrad']      		= 'Max. Grade Level';
$lang['admin_course_col_urlkey']      		= 'Urlkey';
$lang['admin_course_col_description']      	= 'Description';
$lang['admin_course_col_autogen']    		= 'Update From SIS';
$lang['admin_course_col_enabled']    		= 'Enabled';
$lang['admin_course_date']    			    = 'DateTime';
$lang['admin_course_title_usercourse']    	= 'Assign read-only teachers to course';
$lang['admin_course_title_usercourse_editor']    	= 'Assign editor teachers to course';
$lang['admin_course_title_coursegrade']    	= 'Assign grade levels to course';
$lang['admin_course_use_calendar_msg']    	= 'Please remember to use built-in calendar (...)';
$lang['admin_course_col_usercourse']       	= '';
$lang['admin_course_display']            	= 'displayname';
$lang['admin_course_col_coursegrade']       = 'Select Grade(s)';
$lang['admin_user_course_head']       		= 'Assign Read-only Teachers To Course';
$lang['admin_user_course_head_editor']       		= 'Assign Editor Teachers To Course';
$lang['admin_user_course_footer']       	= 'This course will be shown as one of the my courses for the selected teachers.';
$lang['admin_user_course_footer_readonly'] =
	'Read-only teachers can read this course while it is hidden or not and all the course units including hiddent units. ' .
	'All private resources from the units in this course are also accessible by the selected read-only teachers.';
$lang['admin_user_course_footer_editor'] =
	'Seleced editor teachers can modify the course description and create/edit units for this course. ' .
	'They also can hide/unhide this course and units from this course if the course and/or unit hide features are enable for this site. ' .
	'Selected editor teachers will not appear in the read-only teacher selection window. ' .
	'Read-only teachers do appear in the user selection in this window.';
$lang['admin_course_grade_head']       		= 'Assign Grade Levels To Course';
$lang['admin_course_grade_footer']       	= 'The selected grade levels will be shown on the unit page.<br />' .
	'The grade levels displayed here are based on the min. grade level and max. grade level.';
$lang['admin_course_name']       		    = '';
$lang['admin_course_seleteuser']    		= 'Select Teacher(s)';
$lang['admin_course_resultuser']    		= 'Teacher(s) assigned to this course';
$lang['admin_course_error_nodata']   		= 'No data';
$lang['admin_course_error_department']  	= 'Please select a department.';
$lang['admin_course_error_mingrade']  	    = 'Please select a minimum grade level.';
$lang['admin_course_error_maxgrade']  	    = 'Please select a maximum grade level.';
$lang['admin_course_message_enable']   		= 'Are you sure to enable this course?';
$lang['admin_course_message_disable']   		= 'Are you sure to disable this course?\n\n' .
	'A disabled course will not be shown anywhere in the system.\n' .
	'This will not delete the actual course and you can always enable a disabled course in a later time.';
$lang['admin_course_remark_autogen']    	= 'This requires a custom SIS integration module in TODCM<br/>and a valid SIS DB ID.';
$lang['admin_course_btn_Advances_show']    	= 'Show Advance+';
$lang['admin_course_btn_Advances_hide']    	= 'Hide Advance-';
$lang['admin_course_btn_done']    			= 'Close';
$lang['admin_course_btn_deleteall']    			= 'Delete All';
$lang['admin_course_link_title']    		= 'Edit course';
$lang['admin_course_search']		    	= 'Search Course Names:';
$lang['admin_course_title_add']    			= 'Add a new course';
$lang['admin_course_title_enable']    		= 'Enable course';
$lang['admin_course_title_disable']    		= 'Disable course';
$lang['admin_course_title_edit']    		= 'Edit course';
$lang['admin_course_all']				    = 'Show all';
$lang['admin_course_enabled']		        = 'Active courses only';
$lang['admin_course_disabled']		        = 'Disabled courses only';
$lang['admin_user_course_assign']       	= 'Assign selected teacher(s) to course';
$lang['admin_user_course_disable']       	= 'You have no selected teacher(s)';
$lang['admin_course_ddldefualt']		    = 'Course all';
$lang['admin_school_ddldefualt']		    = 'Please Select';
$lang['admin_grade_ddldefualt']		    	= 'Please Select';
$lang['admin_user_cource_deletemsg'] = 'Are you sure to delete this user?';
$lang['admin_grade_massage_error'] = 'The Minimum Grade Level has to be less than the Maximum Grade Level.';
$lang['admin_course_delete_all_teachers'] = 'Are you sure to delete all the assigned teachers listed here?';

//admin_department
$lang['admin_department_title']         	= 'Department Management';
$lang['admin_department_add_head']    		= 'Add a New Department';
$lang['admin_department_add_title']         = 'Add Department';
$lang['admin_department_edit_title']        = 'Edit Department';
$lang['admin_department_display_name']      = 'Department';
$lang['admin_department_display_shortname'] = 'Short Name';
$lang['admin_department_display_description']  = 'Description';
$lang['admin_department_display_enabled']   = 'Enabled';
$lang['admin_department_col_id']         	= 'ID';
$lang['admin_department_col_name']       	= 'Department Name';
$lang['admin_department_col_shortname']  	= 'Short Name';
$lang['admin_department_col_description']  	= 'Description';
$lang['admin_department_col_enabled']    	= 'Enabled';
$lang['admin_department_error_nodata']   	= 'No data';
$lang['admin_department_message_enable']   	= 'Are you sure to enable this department?';
$lang['admin_department_message_disable']   	= 'Are you sure to disable this department?\n\n' .
	'A disabled department and its courses will not be shown anywhere in the system.\n' .
	'This will not delete the actual department and its courses and \nyou can always enable a disabled department in a later time.';
$lang['admin_department_link_title']    	= 'Edit this department';
$lang['admin_department_search']		    = 'Search Department Names:';
$lang['admin_department_title_add']    			= 'Add a new department';
$lang['admin_department_title_enable']    		= 'Enable this department';
$lang['admin_department_title_disable']    		= 'Disable this department';
$lang['admin_department_title_edit']    		= 'Edit this department';
$lang['admin_department_all']				    = 'Show all';
$lang['admin_department_enabled']		        = 'Active departments only';
$lang['admin_department_disabled']		        = 'Disabled departments only';
$lang['admin_department_ddldefualt']		    = 'Please Select';

//This applies to strands, standards and benchmarks
$lang['admin_strand_sort_number'] = 'Strand Sort Number';
$lang['admin_standard_sort_number'] = 'Standard Sort Number';
$lang['admin_benchmark_sort_number'] = 'Benchmark Sort Number';
$lang['admin_strand_sort_number_eg'] = '(e.g., 1.1, 1.1A)';
$lang['admin_strand_sort_number_desc'] = 'The sort number will get prepended to the strand text automatically.';
$lang['admin_standard_sort_number_eg'] = '(e.g., 1.1.1, 1.1.1A)';
$lang['admin_standard_sort_number_desc'] = 'The sort number will get prepended to the standard text automatically.';
$lang['admin_benchmark_sort_number_eg'] = '(e.g., 1.1.1.1, 1.1.1.1A)';
$lang['admin_benchmark_sort_number_desc'] = 'The sort number will get prepended to the benchmark text automatically.';

//admin_strand
//$lang['admin_strand_title_11']         		= 'LT - Strand Management';
//$lang['admin_strand_title_8']         		= 'IT Standards - Strand Management';
$lang['admin_strand_add_head']    			= 'Add a New Strand';
$lang['admin_strand_add_title']         	= 'Add Strand';
$lang['admin_strand_edit_title']         	= 'Edit Strand';
//$lang['admin_strand_title_link_11']         	= 'LT - Standard Management';
//$lang['admin_strand_title_link_8']         	= 'IT Standards - Standard Management';
$lang['admin_strand_display_department']  	= 'Department';
$lang['admin_strand_display_school']       		= 'School';
$lang['admin_strand_display_strand']       	= 'Strand';
$lang['admin_strand_display_enabled']    	= 'Enabled';
$lang['admin_strand_col_id']         		= 'Id';
$lang['admin_strand_col_school']       		= 'School';
$lang['admin_strand_col_department']  		= 'Department';
$lang['admin_strand_col_type']   			= 'Type';
$lang['admin_strand_col_import'] 			= 'Importid';
$lang['admin_strand_col_data']  			= 'Strand';
$lang['admin_strand_col_enabled']    		= 'Enabled';
$lang['admin_strand_error_nodata']   		= 'No data';
$lang['admin_strand_message_enable']   	= 'Are you sure to enable this strand?';
$lang['admin_strand_message_disable']   = 'Are you sure to disable this strand?';
$lang['admin_strand_link_title']    	= 'View standards from this strand';
$lang['admin_strand_search']		    = 'Search Strands:';
$lang['admin_strand_title_add']    			= 'Add a new strand';
$lang['admin_strand_title_enable']    		= 'Enable this strand';
$lang['admin_strand_title_disable']    		= 'Disable this strand';
$lang['admin_strand_title_edit']    		= 'Edit this strand';
$lang['admin_strand_all']				    = 'Show all';
$lang['admin_strand_enabled']		        = 'Active strands only';
$lang['admin_strand_disabled']		        = 'Disabled strands only';
$lang['admin_strand_ddldefualt']		    = 'Please Select';
$lang['admin_strand_validate_error'] = 'One or more required field is missing.';

//admin_standard
$lang['admin_standard_title_11']         		= 'LT - Standard Management';
$lang['admin_standard_title_8']         		= 'IT Standards - Standard Management';
$lang['admin_standard_add_head']    			= 'Add a New Standard';
$lang['admin_standard_add_title']         	= 'Add Standard';
$lang['admin_standard_edit_title']         	= 'Edit Standard';
$lang['admin_standard_title_link_11']         	= 'LT - Benchmark Management';
$lang['admin_standard_title_link_8']         	= 'IT Standards - Benchmark Management';
$lang['admin_standard_display_strand']       	= 'Strand';
$lang['admin_standard_display_standard']       	= 'Standard';
$lang['admin_standard_display_enabled']    		= 'Enabled';
$lang['admin_standard_col_id']         		= 'Id';
$lang['admin_standard_col_dep']       	= 'Department';
$lang['admin_standard_col_school']       	= 'School';
$lang['admin_standard_col_strand']       	= 'Strand';
$lang['admin_standard_col_standard']       	= 'Standard';
$lang['admin_standard_col_type']   			= 'Type';
$lang['admin_standard_col_import'] 			= 'Import';
$lang['admin_standard_col_data']    		= 'Standard';
$lang['admin_standard_col_enabled']    		= 'Enabled';
$lang['admin_standard_error_nodata']   		= 'No data';
$lang['admin_standard_error_strand']   		= 'The Strand field is required.';
$lang['admin_standard_message_enable']   	= 'Are you sure to enable this standard?';
$lang['admin_standard_message_disable']   = 'Are you sure to disable this standard?';
$lang['admin_standard_link_title']    	= 'View benchmarks from this standard';
$lang['admin_standard_search']		    = 'Search standards:';
$lang['admin_standard_searchestrand'] 					= 'Strands';
$lang['admin_standard_title_add_dis_11']    		= 'Select a department before adding a new standard';
$lang['admin_standard_title_add_dis_8']    		= 'Select a school before adding a new standard';
$lang['admin_standard_title_add']    			= 'Add a new standard';
$lang['admin_standard_title_enable']    		= 'Enable this standard';
$lang['admin_standard_title_disable']    		= 'Disable this standard';
$lang['admin_standard_title_edit']    		= 'Edit this standard';
$lang['admin_standard_all']				    = 'Show all';
$lang['admin_standard_enabled']		        = 'Active standards only';
$lang['admin_standard_disabled']		        = 'Disabled standards only';
$lang['admin_standard_ddldefualt']		    = 'Please Select';
$lang['admin_standard_error']   		= 'One or more required field is missing.';
$lang['admin_standard_add_schoolnotice'] = 'A school has to be selected before a new standard can be added.';
$lang['admin_standard_add_departmentnotice'] = 'A department has to be selected before a new standard can be added.';

//admin_benchmark
$lang['admin_benchmark_title_11']         		= 'LT - Benchmark Management';
$lang['admin_benchmark_title_8']         		= 'IT Standards - Benchmark Management';
$lang['admin_benchmark_add_head']    			= 'Add a New Benchmark';
$lang['admin_benchmark_add_title']         	= 'Add Benchmark';
$lang['admin_benchmark_edit_title']         = 'Edit Benchmark';
$lang['admin_benchmark_display_standard']       = 'Standard';
$lang['admin_benchmark_display_benchmark']      = 'Benchmark';
$lang['admin_benchmark_display_mingradeid']   	= 'Min. Grade';
$lang['admin_benchmark_display_maxgradeid'] 	= 'Max. Grade';
$lang['admin_benchmark_display_enabled']    	= 'Enabled';
$lang['admin_benchmark_col_id']         	= 'Id';
$lang['admin_benchmark_col_dep']       	= 'Department';
$lang['admin_benchmark_col_school']       	= 'School';
$lang['admin_benchmark_col_strand']       	= 'Strand';
$lang['admin_benchmark_col_courseid']       = 'Course';
$lang['admin_benchmark_col_mingradeid']   	= 'Minimum Grade';
$lang['admin_benchmark_col_maxgradeid'] 	= 'Maximum Grade';
$lang['admin_benchmark_col_type']           = 'Type';
$lang['admin_benchmark_col_standard']       = 'Standard';
$lang['admin_benchmark_col_benchmark']      = 'Benchmark';
$lang['admin_benchmark_col_importid'] 		= 'Import';
$lang['admin_benchmark_col_data']           = 'Benchmark';
$lang['admin_benchmark_col_enabled']    	= 'Enabled';
$lang['admin_benchmark_error_nodata']   	= 'No data';
$lang['admin_benchmark_error_standard']   	= 'One or more required field is missing.';
$lang['admin_benchmark_message_enable']   	= 'Are you sure to enable this benchmark?';
$lang['admin_benchmark_message_disable']   = 'Are you sure to disable this benchmark?';
$lang['admin_benchmark_link_title']    	= 'Open this benchmark';
$lang['admin_benchmark_search']		    = 'Search benchmarks:';
$lang['admin_standard_searchestandard'] 					= 'Standards';
$lang['admin_standard_title_add_dis_dept_11']    		= 'Please select department and strand before adding a new benchmark';
$lang['admin_standard_title_add_dis_scho_8']    		= 'Please select school and strand before adding a new benchmark';
$lang['admin_benchmark_title_add']    			= 'Add a new benchmark';
$lang['admin_benchmark_title_enable']    		= 'Enable this benchmark';
$lang['admin_benchmark_title_disable']    		= 'Disable this benchmark';
$lang['admin_benchmark_title_edit']    		= 'Edit this benchmark';
$lang['admin_benchmark_all']				    = 'Show all';
$lang['admin_benchmark_enabled']		        = 'Active benchmarks only';
$lang['admin_benchmark_disabled']		        = 'Disabled benchmarks only';
$lang['admin_benchmark_add_schoolnotice'] = 'A school and a strand have to be selected before a new benchamrk can be added.';
$lang['admin_benchmark_add_departmentnotice'] = 'A department and a strand have to be selected before a new benchamrk can be added.';

//This is actually generic select data text
$lang['admin_eq_error_nodata'] = 'Error, couldn\'t find the edit data. Please logout and then login again.';
$lang['admin_eq_validate_error'] = 'One or more required field is missing.';
$lang['admin_eq_is_numeric'] = 'Please enter a numeric sort order';
$lang['admin_eq_sort_notice_msg'] = 'The sort number is department based.';

//EQ names
$lang['admin_select_eq_name'] = 'Essential Question';
$lang['admin_select_eq_name_plural'] = 'Essential Questions';
$lang['admin_select_eq_shortname'] = 'EQ';
$lang['admin_select_eq_shortname_plural'] = 'EQs';

//This is for configuring the select module text strings such as EQ
$lang['admin_select_menu_page_title'] = '%s Management';
$lang['admin_select_menu_popup_add_window_title'] = 'Add %s';
$lang['admin_select_menu_popup_edit_window_title'] = 'Edit %s';
$lang['admin_select_menu_popup_add_title'] = 'Add a New %s';
$lang['admin_select_menu_col_department'] = 'Department:';
$lang['admin_select_menu_col_search'] = 'Search %s:';
$lang['admin_select_menu_tooltip_new_eq'] = 'Add a new %s';
$lang['admin_select_menu_tooltip_edit_eq'] = 'Edit this %s';
$lang['admin_select_menu_tooltip_enable_eq'] = 'Enable this %s';
$lang['admin_select_menu_tooltip_disable_eq'] = 'Disable this %s';
$lang['admin_select_menu_filter_disabled_eqs'] = 'Disabled %s only';
$lang['admin_select_menu_filter_active_eqs'] = 'Active %s only';
$lang['admin_select_menu_filter_showall'] = 'Show all';
$lang['admin_select_menu_list_col_dept'] = 'Department';
//$lang['admin_select_menu_list_col_eq'] = 'EQ';
$lang['admin_select_menu_list_col_enabled'] = 'Enabled';
$lang['admin_select_menu_list_col_sort'] = 'Sort';
$lang['admin_select_menu_input_dept'] = 'Department';
//$lang['admin_select_menu_input_eq'] = 'EQ';
$lang['admin_select_menu_input_sortorder'] = 'Sort Order (Integer number)';
$lang['admin_select_menu_input_enabled'] = 'Enabled';
$lang['admin_select_menu_message_confirm_enable'] = 'Are you sure to enable this %s?';
$lang['admin_select_menu_message_confirm_disable'] = 'Are you sure to disable this %s?';

//admin
$lang['admin_btn_save']    			    	= 'Save';
$lang['admin_btn_cancel']    				= 'Cancel';
$lang['admin_btn_close']    				= 'Close';
$lang['admin_red']    			    	    = 'Red';
$lang['admin_req']    			    	    = '= Required';
$lang['admin_type_ddldefualt'] 			= 'Type all';

$lang['admin_generic_items_all'] = 'Show all';
$lang['admin_generic_items_enabled'] = 'Active records only';
$lang['admin_generic_items_disabled'] = 'Disabled records only';

//dbupgrade
$lang['admin_dbupgrade_title'] = 'Database Upgrade Management';
$lang['admin_dbupgrade_warn'] =
	'Warning, please backup your database before upgrading!<br /><br />' .
	'If upgrade is not successful then your database will most likely be inoperable and a database restore from your backup will be required.';
$lang['admin_dbupgrade_currentversion'] = 'Current TODCM Database Version: ';
$lang['admin_dbupgrade_listofupgrade'] = 'List of required database version upgrade(s):';
$lang['admin_dbupgrade_db_latest'] = 'Your database is up-to-date and upgrading is not necessary.';
$lang['admin_dbupgrade_iframe_headtitle'] = 'Database Upgrading';
$lang['admin_dbupgrade_iframe_text'] = 'Are you sure to upgrade the database?';
$lang['admin_dbupgrade_iframe_title'] = 'Upgrading TODCM Database';
$lang['admin_dbupgrade_body_text'] = 'Your TODCM database needs to be upgraded.';
$lang['admin_dbupgrade_upgraded_from'] = 'Upgrading from';
$lang['admin_dbupgrade_upgraded_to'] = 'to';
$lang['admin_dbupgrade_failed_msg1'] = 'Upgrade aborted with the following error:';
$lang['admin_dbupgrade_failed_msg2'] =
	'Please restore your database from your backup and run the upgrade again. ' .
	'If this is failing again then you should look into what is causing the problem. ' .
	'Please save this page for reference if you are going to have someone else look into the issue.';
$lang['admin_dbupgrade_close'] = 'Close';
$lang['admin_dbupgrade_sql'] = 'SQL: ';
$lang['admin_dbupgrade_error_num'] = 'Error number: ';
$lang['admin_dbupgrade_error_msg'] = 'Error message: ';
$lang['admin_dbupgrade_success_msg'] = 'Database upgraded successfully.';
$lang['admin_dbupgrade_no_close_msg'] =
	'Do not use the "X" button on the top right window corner to close this window.<br />' .
	'When the upgrade is complete, a "Close" button will appear at the bottom.';

// Admin grade
$lang['admin_grade_title'] = 'Grade Management';
$lang['admin_grade_title_edit'] = 'Edit this grade';
$lang['admin_grade_title_link'] = 'Edit this grade';
$lang['admin_grade_add_title'] = 'Add Grade';
$lang['admin_grade_add_new_title'] = 'Add a New Grade';
$lang['admin_grade_edit_title'] = 'Edit Grade';

$lang['admin_grade_column_name'] = 'Grade Name';
$lang['admin_grade_column_sort'] = 'Sort Order';
$lang['admin_grade_column_school'] = 'School';
$lang['admin_grade_display_name'] = 'Grade';
$lang['admin_grade_display_school'] = 'School';
$lang['admin_grade_display_sort'] = 'Sort';
$lang['admin_grade_dropdown_default'] = 'Please Select';
$lang['admin_grade_delete_title'] = 'Delete this grade';
$lang['admin_grade_error_sort']  	= 'Sort Order has to be a number.';
$lang['admin_grade_error_nodata'] = 'No Data';
$lang['admin_grade_delete_warning'] = 'Are you sure to delete this grade?';
$lang['admin_grade_custom_errmsg'] = 'The %s field is required.';
$lang['admin_grade_custom_errmsg_noduplicate'] = 'Duplicate sort order number, please change the value.';
$lang['admin_grade_note_red_sign'] = 'The red delete button means the grade is unused in the system and you can delete it if desired.';
$lang['admin_grade_note_gray_sign'] = 'The gray delete image means you can not remove the grade because it is currently in use.';
$lang['admin_grade_sort_desscription'] =
	'Duplicated sort orders are not allowed. The sort order should resemble the actual grade levels. ' .
	'It is OK to use zero and negative numbers for the sort order.';

//school
$lang['admin_school_title'] = 'School Management';
$lang['admin_school_display_shortname'] = 'Short Name';
$lang['admin_school_display_name'] = 'Name';
$lang['admin_school_add_title'] = 'Add School';
$lang['admin_school_edit_title'] = 'Edit School';
$lang['admin_school_add_new_title'] = 'Add a New School';
$lang['admin_scholl_edit_link'] = 'Edit this school';
$lang['admin_school_delete_title'] = 'Delete this school';
$lang['admin_school_delete_warning'] = 'Are you sure to delete this school?';
$lang['admin_school_column_name'] = 'School Name';
$lang['admin_school_column_shortname'] = 'School Shortname';
$lang['admin_school_column_type'] = 'School Type';
$lang['admin_school_note_red_sign'] = 'The red delete button means the school is unused in the system and you can delete it if desired.';
$lang['admin_school_note_gray_sign'] = 'The gray delete image means you can not remove the school because it is currently in use.';

//school_type
$lang['admin_school_type_title'] = 'School Type Management';
$lang['admin_school_type_display_shortname'] = 'Short Name';
$lang['admin_school_type_display_name'] = 'Name';
$lang['admin_school_type_add_title'] = 'Add School Type';
$lang['admin_school_type_add_new_title'] = 'Add a New School Type';
$lang['admin_school_type_edit_title'] = 'Edit School Type';
$lang['admin_scholl_type_edit_link'] = 'Edit this school type';
$lang['admin_school_type_delete_title'] = 'Delete this school type';
$lang['admin_school_type_delete_warning'] = 'Are you sure to delete this school type?';
$lang['admin_school_type_column_name'] = 'School type Name';
$lang['admin_school_type_column_shortname'] = 'School type Shortname';
$lang['admin_school_type_note_red_sign'] = 'The red delete button means the school_type is unused in the system and you can delete it if desired.';
$lang['admin_school_type_note_gray_sign'] = 'The gray delete image means you can not remove the school_type because it is currently in use.';
$lang['admin_school_error_type']  	= 'type must be a number.';

// Admin category
$lang['admin_category_title'] = 'Category Management';
$lang['admin_category_add_title'] = 'Add Category';
$lang['admin_category_column_name'] = 'Category Name: ';
$lang['admin_category_column_department'] = 'Department(s): ';
$lang['admin_category_column_mingrade'] = 'Min. Grade: ';
$lang['admin_category_column_maxgrade'] = 'Max. Grade: ';
$lang['admin_category_column_enabled'] = 'Enabled: ';
$lang['admin_category_column_sort'] = 'Sort Order';
$lang['admin_category_display_department_name'] = 'Department';
$lang['admin_category_display_category_name'] = 'Category';
$lang['admin_category_display_mingrade'] = 'Min. Grade';
$lang['admin_category_display_maxgrade'] = 'Max. Grade';
$lang['admin_category_display_enabled'] = 'Enabled';
$lang['admin_category_display_sort'] = 'Sort';
$lang['admin_category_display_no_department_name'] = 'All departments';
$lang['admin_category_dropdown_default'] = 'Please Select';
$lang['admin_category_edit_title'] = 'Edit Category';
$lang['admin_category_title_edit'] = 'Edit this grade';
$lang['admin_category_disable_warning'] = 'Are you sure to disable this category?';
$lang['admin_category_enable_warning'] = 'Are you sure to enable this category?';
$lang['admin_category_disable_title'] = 'Disable this category';
$lang['admin_category_enable_title'] = 'Enable this category';
$lang['admin_category_custom_errmsg'] = 'The %s field is required.';
$lang['admin_category_custom_errmsg_minmax'] = 'The %s field: Minimum Grade Level has to be less than the Maximum Grade Level.';
$lang['admin_category_custom_errmsg_noduplicate'] = 'Duplicate sort order number, please change the value.';
$lang['admin_category_error_sort']  	= 'Sort Order has to be a number.';
$lang['admin_category_row_enable'] = 'Yes';
$lang['admin_category_row_disable'] = 'No';
$lang['admin_category_use_category_on'] = 'Config "Enable category in menu tree" is <strong>turned on</strong>.<br />
														 You should see the categories above in your left menu tree after clicking the top "Home" button.';
$lang['admin_category_use_category_off'] = 'Config "Enable category in menu tree" is <span style="color: #FF0000;">turned off</span>.
														 Your left menu tree are not using the categories above.';
$lang['admin_category_note_no_department'] = 'All departments will be shown if none is selected';
$lang['admin_category_filter_showall'] = 'Show All';
$lang['admin_category_filter_active'] = 'Active categories only';
$lang['admin_category_filter_disabled'] = 'Disabled categories only';

$lang['admin_access_level_admin'] = 'Administrator';
$lang['admin_access_level_guest'] = 'Guest';
$lang['admin_access_level_teacher'] = 'Teacher';
$lang['admin_auth_type_local'] = 'Local Database';
$lang['admin_auth_type_ldap'] = 'LDAP/Active-Directory';
